বিষয়বস্তুতে চলুন

মডিউল:বার্তার বাক্স/অন্যান্য-বাক্স.css: সংশোধিত সংস্করণের মধ্যে পার্থক্য

বইপিডিয়া থেকে
bn>আফতাবুজ্জামান
সম্পাদনা সারাংশ নেই
 
"{{সুরক্ষা}}: .ambox { border: 1px solid #a2a9b1; @noflip: border-left: 10px solid #36c; Default "notice" blue: background-color: #fbfbfb; box-sizing: border-box; } Single border between stacked boxes. Take into account base templatestyles, * user styles, and Template:Dated maintenance category. * remove link selector when T200206 is fixed: .ambox + link + .ambox, .ambox + link + style + .ambox, .ambox +..." দিয়ে পাতা তৈরি
১ নং লাইন: ১ নং লাইন:
/* {{সুরক্ষা}} */
/* {{সুরক্ষা}} */
.ombox {
.ambox {
margin: 4px 0;
border: 1px solid #a2a9b1;
border-collapse: collapse;
/* @noflip */
border: 1px solid #a2a9b1;   /* Default "notice" gray */
border-left: 10px solid #36c; /* Default "notice" blue */
background-color: var(--background-color-neutral-subtle, #f8f9fa);
background-color: #fbfbfb;
box-sizing: border-box;
box-sizing: border-box;
    color: var(--color-base, #202122);
}
}


/* For the "small=yes" option. */
/* Single border between stacked boxes. Take into account base templatestyles,
.ombox.mbox-small {
* user styles, and Template:Dated maintenance category.
* remove link selector when T200206 is fixed
*/
.ambox + link + .ambox,
.ambox + link + style + .ambox,
.ambox + link + link + .ambox,
/* TODO: raise these as "is this really that necessary???". the change was Dec 2021 */
.ambox + .mw-empty-elt + link + .ambox,
.ambox + .mw-empty-elt + link + style + .ambox,
.ambox + .mw-empty-elt + link + link + .ambox {
margin-top: -1px;
}
 
/* For the "small=left" option. */
/* must override .ambox + .ambox styles above */
html body.mediawiki .ambox.mbox-small-left {
/* @noflip */
margin: 4px 1em 4px 0;
overflow: hidden;
width: 238px;
border-collapse: collapse;
font-size: 88%;
font-size: 88%;
line-height: 1.25em;
line-height: 1.25em;
}
}


.ombox-speedy {
.ambox-speedy {
border: 2px solid #b32424;    /* Red */
/* @noflip */
background-color: #fee7e6;   /* Pink */
border-left: 10px solid #b32424;    /* Red */
background-color: #fee7e6;         /* Pink */
}
}


.ombox-delete {
.ambox-delete {
border: 2px solid #b32424;    /* Red */
/* @noflip */
border-left: 10px solid #b32424;    /* Red */
}
}


.ombox-content {
.ambox-content {
border: 1px solid #f28500;    /* Orange */
/* @noflip */
border-left: 10px solid #f28500;    /* Orange */
}
}


.ombox-style {
.ambox-style {
border: 1px solid #fc3;      /* Yellow */
/* @noflip */
border-left: 10px solid #fc3;      /* Yellow */
}
}


.ombox-move {
.ambox-move {
border: 1px solid #9932cc;    /* Purple */
/* @noflip */
border-left: 10px solid #9932cc;    /* Purple */
}
}


.ombox-protection {
.ambox-protection {
border: 2px solid #a2a9b1;    /* Gray-gold */
/* @noflip */
border-left: 10px solid #a2a9b1;    /* Gray-gold */
}
}


.ombox .mbox-text {
.ambox .mbox-text {
border: none;
border: none;
/* @noflip */
/* @noflip */
padding: 0.25em 0.9em;
padding: 0.25em 0.5em;
width: 100%;
width: 100%;
}
}


.ombox .mbox-image {
.ambox .mbox-image {
border: none;
border: none;
/* @noflip */
/* @noflip */
padding: 2px 0 2px 0.9em;
padding: 2px 0 2px 0.5em;
text-align: center;
text-align: center;
}
}


.ombox .mbox-imageright {
.ambox .mbox-imageright {
border: none;
border: none;
/* @noflip */
/* @noflip */
padding: 2px 0.9em 2px 0;
padding: 2px 0.5em 2px 0;
text-align: center;
text-align: center;
}
}


/* An empty narrow cell */
/* An empty narrow cell */
.ombox .mbox-empty-cell {
.ambox .mbox-empty-cell {
border: none;
border: none;
padding: 0;
padding: 0;
৬৮ নং লাইন: ৯৩ নং লাইন:
}
}


.ombox .mbox-invalid-type {
.ambox .mbox-image-div {
text-align: center;
width: 52px;
}
}


@media (min-width: 720px) {
/* Hack around MobileFrontend being opinionated */
.ombox {
html.client-js body.skin-minerva .mbox-text-span {
margin: 4px 10%;
margin-left: 23px !important;
}
.ombox.mbox-small {
/* @noflip */
clear: right;
/* @noflip */
float: right;
/* @noflip */
margin: 4px 0 4px 1em;
width: 238px;
}
}
}


/** T367463 */
@media (min-width: 720px) {
body.skin--responsive table.ombox img {
.ambox {
max-width: none !important;
margin: 0 10%;                 /* 10% = Will not overlap with other elements */
}
 
@media screen {
html.skin-theme-clientpref-night .ombox-speedy {
background-color: #310402;   /* Dark red, same hue/saturation as light */
}
}
}
}


@media screen and (prefers-color-scheme: dark) {
@media print {
html.skin-theme-clientpref-os .ombox-speedy {
body.ns-0 .ambox {
background-color: #310402; /* Dark red, same hue/saturation as light */
display: none !important;
}
}
}
}

১৮:২৫, ২১ জুন ২০২৫ তারিখে সংশোধিত সংস্করণ

/* {{সুরক্ষা}} */
.ambox {
	border: 1px solid #a2a9b1;
	/* @noflip */
	border-left: 10px solid #36c;  /* Default "notice" blue */
	background-color: #fbfbfb;
	box-sizing: border-box;
}

/* Single border between stacked boxes. Take into account base templatestyles,
 * user styles, and Template:Dated maintenance category.
 * remove link selector when T200206 is fixed
 */
.ambox + link + .ambox,
.ambox + link + style + .ambox,
.ambox + link + link + .ambox,
/* TODO: raise these as "is this really that necessary???". the change was Dec 2021 */
.ambox + .mw-empty-elt + link + .ambox,
.ambox + .mw-empty-elt + link + style + .ambox,
.ambox + .mw-empty-elt + link + link + .ambox {
	margin-top: -1px;
}

/* For the "small=left" option. */
/* must override .ambox + .ambox styles above */
html body.mediawiki .ambox.mbox-small-left {
	/* @noflip */
	margin: 4px 1em 4px 0;
	overflow: hidden;
	width: 238px;
	border-collapse: collapse;
	font-size: 88%;
	line-height: 1.25em;
}

.ambox-speedy {
	/* @noflip */
	border-left: 10px solid #b32424;    /* Red */
	background-color: #fee7e6;          /* Pink */
}

.ambox-delete {
	/* @noflip */
	border-left: 10px solid #b32424;    /* Red */
}

.ambox-content {
	/* @noflip */
	border-left: 10px solid #f28500;    /* Orange */
}

.ambox-style {
	/* @noflip */
	border-left: 10px solid #fc3;       /* Yellow */
}

.ambox-move {
	/* @noflip */
	border-left: 10px solid #9932cc;    /* Purple */
}

.ambox-protection {
	/* @noflip */
	border-left: 10px solid #a2a9b1;    /* Gray-gold */
}

.ambox .mbox-text {
	border: none;
	/* @noflip */
	padding: 0.25em 0.5em;
	width: 100%;
}

.ambox .mbox-image {
	border: none;
	/* @noflip */
	padding: 2px 0 2px 0.5em;
	text-align: center;
}

.ambox .mbox-imageright {
	border: none;
	/* @noflip */
	padding: 2px 0.5em 2px 0;
	text-align: center;
}

/* An empty narrow cell */
.ambox .mbox-empty-cell {
	border: none;
	padding: 0;
	width: 1px;
}

.ambox .mbox-image-div {
	width: 52px;
}

/* Hack around MobileFrontend being opinionated */
html.client-js body.skin-minerva .mbox-text-span {
	margin-left: 23px !important;
}

@media (min-width: 720px) {
	.ambox {
		margin: 0 10%;                  /* 10% = Will not overlap with other elements */
	}
}

@media print {
	body.ns-0 .ambox {
		display: none !important;
	}
}